
set( larcore_VERSION 04.06.00 )
set( larcore_UPS_VERSION v04_06_00 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( art v1_09_00 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
    find_ups_product( fhiclcpp v3_02_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_00 )
  find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_FILEFORMAT )
      cet_find_library( MF_FILEFORMAT NAMES MF_FileFormat PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFPLUGIN NAMES messagefacility_MessageService_plugins_cout_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFPLUGIN NAMES messagefacility_MessageService_plugins_cerr_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFPLUGIN NAMES messagefacility_MessageService_plugins_file_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_SYSLOG_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_SYSLOG_MFPLUGIN NAMES messagefacility_MessageService_plugins_syslog_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_cout_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_cerr_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_file_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( GEOMETRY  $ENV{LARCORE_LIB}/libGeometry.dylib )
      set( GEOMETRY_SERVICE  $ENV{LARCORE_LIB}/libGeometry_service.dylib )
      set( STANDARDGEOMETRYHELPER_SERVICE  $ENV{LARCORE_LIB}/libStandardGeometryHelper_service.dylib )
      set( SUMMARYDATA  $ENV{LARCORE_LIB}/libSummaryData.dylib )
      set( SUMMARYDATA_DICT  $ENV{LARCORE_LIB}/libSummaryData_dict.dylib )
      set( GEOMETRYITERATORTEST_MODULE  $ENV{LARCORE_LIB}/libGeometryIteratorTest_module.dylib )
      set( GEOMETRYTEST_MODULE  $ENV{LARCORE_LIB}/libGeometryTest_module.dylib )
      include_directories ( $ENV{LARCORE_INC} )

check_required_components(larcore)

